#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n;
    long long int l;
    scanf("%lld %lld", &n, &l);
    long long int h[n];
    for(long long int i=0;i<n;i++){
        scanf("%lld", &h[i]);
    }
    l=l+1;
    for(long long int i=0;i<n;i++){
        if(l>h[i]){
            printf("%lld", i+1);
            return 0;
        }
    }
    printf("-1");
    return 0;
}